﻿using Microsoft.Phone.Controls;
using System.Windows.Shapes;
using System.Windows.Media;

namespace P15_1
{
    public partial class EventsGestures : PhoneApplicationPage
    {
        //Трансформация для перемещения объекта
        private TranslateTransform dragTranslation;

        public EventsGestures()
        {
            InitializeComponent();
            //Инициализируем трансформацию
            dragTranslation = new TranslateTransform();
            //Назначаем её объекту
            ellipseToDrag.RenderTransform = this.dragTranslation;
        }
        //Обработчик события Hold
        private void GestureListener_Hold(object sender, GestureEventArgs e)
        {
            //Получим объект-отправитель событий
            Rectangle R = sender as Rectangle;
            //Сбросим ширину до 100 пикселей
            R.Width = 100;
        }

        private void GestureListener_Flick(object sender, FlickGestureEventArgs e)
        {
            //Получим объект-отправитель событий
            Rectangle R = sender as Rectangle;
            //Увеличим на 10 пикселей ширину
            R.Width+=10;
        }

        //Обработчик соыбытия ManipulationDelta
        private void Ellipse_ManipulationDelta(object sender, System.Windows.Input.ManipulationDeltaEventArgs e)
        {
            //Переместим объект в соответствии с координатами точки касания
            dragTranslation.X += e.DeltaManipulation.Translation.X;
            dragTranslation.Y += e.DeltaManipulation.Translation.Y;
        }
    }
}